Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description.java2wsdl
Class TypeTable

    java.lang.Object
      org.apache.axis2.description.java2wsdl.TypeTable

    public class TypeTable

extends Object

Field Summary
`static QName` | `ANY_TYPE`

Constructor Summary
`TypeTable()`

Method Summary
`void` | `addClassNameForQName(QName qname, String className)`
`void` | `addComplexSchema(String name, QName schemaType)`
`String` | `getClassNameForQName(QName qname)`
`Map` | `getComplexSchemaMap()` Return the complex type map
`QName` | `getComplexSchemaType(String name)`
`QName` | `getQNamefortheType(String typeName)` Get the qname for a type first try the simple types if not try the complex types
`QName` | `getSimpleSchemaTypeName(String typeName)` Return the schema type QName given the type class name
`boolean` | `isSimpleType(String typeName)` Return whether the given type is a simple type or not

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANY_TYPE

    public static final QName ANY_TYPE

Constructor Detail

### TypeTable

    public TypeTable()

Method Detail

### getSimpleSchemaTypeName

    public QName getSimpleSchemaTypeName(String typeName)

  Return the schema type QName given the type class name

  Parameters:
    `typeName` - the name of the type
  Returns:
    the name of the simple type or null if it is not a simple type

### isSimpleType

    public boolean isSimpleType(String typeName)

  Return whether the given type is a simple type or not

  Parameters:
    `typeName` - the name of the type
  Returns:
    true if the type is a simple type

### getComplexSchemaMap

    public Map getComplexSchemaMap()

  Return the complex type map

  Returns:
    the map with complex types

### addComplexSchema

    public void addComplexSchema(String name,
                                 QName schemaType)

### getComplexSchemaType

    public QName getComplexSchemaType(String name)

### getClassNameForQName

    public String getClassNameForQName(QName qname)

### addClassNameForQName

    public void addClassNameForQName(QName qname,
                                     String className)

### getQNamefortheType

    public QName getQNamefortheType(String typeName)

  Get the qname for a type first try the simple types if not try the complex types

  Parameters:
    `typeName` - name of the type
  Returns:
    the Qname for this type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.